Authorization
api_key An Admin Key (tigby_admin_…) for Org-level calls, an Identity Key (tigby_id_…) for one Identity's own resources, or a console session (tigby_sess_…). Sent as Authorization: Bearer .
In: header
Path Parameters
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://api.tigby.eu/api/identities/string/webhooks"{ "webhooks": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "handle": "string", "url": "string", "event_types": [ "string" ], "created_at": "2019-08-24T14:15:22Z", "signing_secret": null } ]}Authorization
api_key An Admin Key (tigby_admin_…) for Org-level calls, an Identity Key (tigby_id_…) for one Identity's own resources, or a console session (tigby_sess_…). Sent as Authorization: Bearer .
In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://api.tigby.eu/api/identities/string/webhooks" \ -H "Content-Type: application/json" \ -d '{ "url": null, "event_types": null }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "handle": "string", "url": "string", "event_types": [ "string" ], "created_at": "2019-08-24T14:15:22Z", "signing_secret": null}Authorization
api_key An Admin Key (tigby_admin_…) for Org-level calls, an Identity Key (tigby_id_…) for one Identity's own resources, or a console session (tigby_sess_…). Sent as Authorization: Bearer .
In: header
Path Parameters
uuidResponse Body
application/json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://api.tigby.eu/api/identities/string/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "handle": "string", "url": "string", "event_types": [ "string" ], "created_at": "2019-08-24T14:15:22Z", "signing_secret": null}Authorization
api_key An Admin Key (tigby_admin_…) for Org-level calls, an Identity Key (tigby_id_…) for one Identity's own resources, or a console session (tigby_sess_…). Sent as Authorization: Bearer .
In: header
Path Parameters
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PATCH "https://api.tigby.eu/api/identities/string/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "url": null, "event_types": null }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "handle": "string", "url": "string", "event_types": [ "string" ], "created_at": "2019-08-24T14:15:22Z", "signing_secret": null}Authorization
api_key An Admin Key (tigby_admin_…) for Org-level calls, an Identity Key (tigby_id_…) for one Identity's own resources, or a console session (tigby_sess_…). Sent as Authorization: Bearer .
In: header
Path Parameters
uuidResponse Body
application/problem+json
application/problem+json
application/problem+json
curl -X DELETE "https://api.tigby.eu/api/identities/string/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08"Authorization
api_key An Admin Key (tigby_admin_…) for Org-level calls, an Identity Key (tigby_id_…) for one Identity's own resources, or a console session (tigby_sess_…). Sent as Authorization: Bearer .
In: header
Path Parameters
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://api.tigby.eu/api/identities/string/webhooks/signing-key"{ "signing_secret": "string"}Authorization
api_key An Admin Key (tigby_admin_…) for Org-level calls, an Identity Key (tigby_id_…) for one Identity's own resources, or a console session (tigby_sess_…). Sent as Authorization: Bearer .
In: header
Path Parameters
uuidQuery Parameters
int32Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://api.tigby.eu/api/identities/string/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08/deliveries"{ "deliveries": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "event_id": "string", "event_type": "string", "status": "string", "is_replay": true, "attempt_count": 0, "created_at": "2019-08-24T14:15:22Z", "next_attempt_at": null, "completed_at": null, "attempts": [ { "attempt": 0, "requested_at": "2019-08-24T14:15:22Z", "duration_ms": 0, "response_status": null, "error": null } ] } ]}